function Door1()
    PRI()
    TUR()MS4("\n不能逃跑！")NOD()
end

function QuickPuuAndTalaBoss()
    PRI()
    SNP("CS_soapwalker_animate",29,17,1,"mainLayer","Tala1")
    ANP("Tala1","look_down")
    SNP("CS_puu_animate",32,17,0,"mainLayer","Puu1")
    MOV(48,17,0)
    MOV(49,17,1)
    --放置小狗
    SGP("CS_mychar_puppy",30,16,0,"CS_mychar_puppy_p3")
    AGP("CS_mychar_puppy_p3",true)
    MOV(50,17,"CS_mychar_puppy_p3")
    SLR(0)
    ANP("Puu1","normal",1)
    ANP("Tala1","look_normal")
    FAI(2)
    CMU("CS_FireEye")
    CNP("Puu1","CS_boss_puu",0,1)
    CNP("Tala1","CS_boss_tala",0,1)
    AMC("normal",0,"CS_mychar_puppy_p3")
    ANP("GroupHpBar1",500,1)--设置boss血条计数
    BSL("GroupHpBar1")
end

--战胜了Puu和Tala
function GroupHpBar1()
    KEY()
    KIL("CS_puububble_empty")
    KIL("CS_puububble_soapa")
    KIL("CS_puububble_soapb")
    KIL("CS_puububble_soapc")
    KIL("CS_enemy_soapa")
    KIL("CS_enemy_soapb")
    KIL("CS_enemy_soapc")
    CMU("CS_Fanfale3")
    MS4("\n扑悠&塔拉 被击败了！")WAI(140)NOD()CLO()
    FLP("DefeatedPuu&Tala")
    FAO(2)
    DGP("CS_mychar_puppy_p3")--删除小狗
    TRA("CS_bossrush_mainstage","E0090",11,37)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    DGP("CS_mychar_puppy_p3")--删除小狗
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",11,37)
end

function DeathByMovingPlatform()
    Died()
end